package com.ruoyi.generator.domain.Community;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 社区陪伴信息实体类
 *
 * @author fangqing
 * @date 2024/12/30 14:59
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityAccompany {

    /**
     * 陪伴天数
     */
    @ApiModelProperty(value = "陪伴天数")
    private Long accompanyDays;

    /**
     * 获赞数
     */
    @ApiModelProperty(value = "获赞数")
    private Long like;

    /**
     * 获赞数百分比
     */
    @ApiModelProperty(value = "获赞数百分比")
    private double likePercent;

    /**
     * 粉丝数
     */
    @ApiModelProperty(value = "粉丝数")
    private Long fan;

    /**
     * 粉丝数百分比
     */
    @ApiModelProperty(value = "粉丝数百分比")
    private double fanPercent;

    /**
     * 评论数
     */
    @ApiModelProperty(value = "评论数")
    private Long comment;

    /**
     * 评论数百分比
     */
    @ApiModelProperty(value = "评论数百分比")
    private double commentPercent;

    /**
     * 阅览数
     */
    @ApiModelProperty(value = "阅览数")
    private Long read;

    /**
     * 阅览数百分比
     */
    @ApiModelProperty(value = "阅览数百分比")
    private double readPercent;

    /**
     * 创作数
     */
    @ApiModelProperty(value = "创作数")
    private Long creationCount;

    /**
     * 创作数百分比
     */
    @ApiModelProperty(value = "创作数百分比")
    private double creationCountPercent;

}
