package com.ruoyi.generator.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 个人中心通知表 By Qing
 * @TableName community_user_prompt
 */
@Data
@TableName("community_user_prompt")
public class CommunityUserPromptVo implements Serializable  {
    /**
     * 唯一id
     */
    @NotNull(message = "[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId(type = IdType.AUTO, value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 赞和收藏
     */
    @ApiModelProperty("赞和收藏")
    private Boolean  likeCollect;

    /**
     * 新增关注
     */
    @ApiModelProperty("新增关注")
    private Boolean likeUser;

    /**
     * 评论与@
     */
    @ApiModelProperty("评论与@")
    private Boolean commentCircle;



}
